net.snowflake.client.core.arrow

## Class ArrowResultUtil

- java.lang.Object
- - net.snowflake.client.core.arrow.ArrowResultUtil

    public class ArrowResultUtil
    extends Object

Result utility methods specifically for Arrow format

### Constructor Summary

Constructors
Constructor and Description
`ArrowResultUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Date` `getDate(int day, TimeZone tz, SFSession session)` new method to get Date from integer
`static long` `moveToTimeZone(long epoch, TimeZone oldTZ, TimeZone newTZ)` simplified moveToTimeZone method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrowResultUtil

    public ArrowResultUtil()

### Method Detail

#### getDate

    public static Date getDate(int day,
                               TimeZone tz,
                               SFSession session)
                        throws SFException

new method to get Date from integer

Parameters:
  `day` -
  `tz` -
  `session` -
Returns:
Throws:
  `SFException`

#### moveToTimeZone

    public static long moveToTimeZone(long epoch,
                                      TimeZone oldTZ,
                                      TimeZone newTZ)

simplified moveToTimeZone method

Parameters:
  `epoch` -
  `oldTZ` -
  `newTZ` -
Returns:
  moved epoch